package com.totopia.server.modules.game.entity;

import com.totopia.server.commons.data.entity.DateAuditEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;
import java.util.Set;

@Entity
@Table(name = "league")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
public class LeagueEntity extends DateAuditEntity {
    @Id
    @GeneratedValue(generator = "league_generator")
    @SequenceGenerator(name = "league_generator", sequenceName = "league_sequence", initialValue = 1)
    private Long id;

    @Column(name = "eng_name", nullable = false, length = 200)
    private String eng_name;

    @Column(name = "kor_name", nullable = true, length = 200)
    private String kor_name;

    @Column(name = "seven_m_name", nullable = true, length = 50)
    private String sevenMName;

    @Column(name = "eng_country", nullable = true, length = 100)
    private String engCountry;

    @Column(name = "kor_country", nullable = true, length = 100)
    private String korCountry;

    @ManyToMany(fetch = FetchType.EAGER)
    @JoinTable(name = "league_sports", joinColumns = @JoinColumn(name = "league_id"), inverseJoinColumns = @JoinColumn(name = "sports_id"))
    private Set<SportsEntity> sportsEntities;

}
