package com.totopia.server.modules.game.repository;

import com.totopia.server.modules.game.entity.LeagueEntity;
import com.totopia.server.modules.game.entity.SportsEntity;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.HashSet;
import java.util.stream.Collectors;
import java.util.stream.Stream;

import static org.junit.Assert.*;

//@Ignore
@RunWith(SpringRunner.class)
@SpringBootTest
public class LeagueRepositoryTest {

    @Autowired
    LeagueRepository leagueRepository;

    @Before
    public void setUp() throws Exception {
    }

    @Test
    public void testInsert() {
        LeagueEntity leagueEntity = LeagueEntity.builder()
                .engCountry("Germany")
                .korCountry("독알")
                .eng_name("Germany Bundesliga I")
                .kor_name("분데스리가")
                .sevenMName("GER BI")
                .sportsEntities(Stream.of(SportsEntity.builder().id(Short.valueOf((short) 1)).build()).collect(Collectors.toCollection(HashSet::new)))
                .build();

        this.leagueRepository.save(leagueEntity);
    }

    @Test
    public void testLeagueByName() {

        LeagueEntity leagueEntity = this.leagueRepository.findById(1L).orElseThrow(null);
    }
}